package com.zjrs.ggfw.rlzysc.bpo.schedule.execute;

import com.zjrs.ggfw.portal.bpo.EMSBPO;
import com.zjrs.ggfw.rlzysc.bpo.schedule.Task;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;

@Service
public class EMSOrderTask implements Task {
    private static final Logger LOG = LoggerFactory.getLogger(ZjsjsbTask.class);

    @Resource
    private EMSBPO emsbpo;
    @Override
    public void excute(String cronid) {
        LOG.info("EMS下单定时器执行");
        emsbpo.order();
        LOG.info("EMS下单定时器结束");
    }
}

